LDD(1)

NOM
ldd - Afficher les bibliothèques partagées nécessaires

SYNOPSIS
ldd [OPTION]... FICHIER...

DESCRIPTION
ldd affiche la liste des bibliothèques partagées nécessaires pour chaque programme ou bibliothèque passés sur la ligne de commande.

OPTIONS

--version
    Afficher le numéro de version de ldd.

-v --verbose
    Afficher toutes les informations, y compris les versions des symboles.

-u --unused
    Afficher les dépendances directes inutilisées (depuis la glibc 2.3.4).

-d --data-relocs
    Réaliser les déplacements et indiquer les objets manquants (ELF seulement).

-r --function-relocs
    Réaliser les déplacements pour les objets donnés et les fonctions, et indiquer les objets ou fonctions manquants (ELF seulement).

--help
    Aide.

NOTES
La version standard de ldd est livrée avec la glibc2. La libc5 fournissait une ancienne version, toujours présente sur certains systèmes. Les options longues ne sont pas supportées par la version de la libc5. En revanche, celle de la glibc2 ne supporte pas -V et a seulement l'équivalent --version.

La version libc5 utilise le nom de la bibliothèque donnée sur la ligne de commande tel quel s'il contient un « / » ; sinon elle cherche la bibliothèque aux emplacements standard. Pour l'utiliser sur une bibliothèque dans le répertoire courant, préfixez son nom avec « ./ ».

BOGUES
ldd ne fonctionne pas avec les bibliothèques partagées a.out.

ldd ne fonctionne pas avec certains programmes a.out très anciens qui ont été compilés avant que le support de ldd ne soit ajouté dans le compilateur. Si vous utilisez ldd sur l'un de ces programmes, il sera lancé avec argc = 0 et les résultats seront imprévisibles.

VOIR AUSSI
ld.so(8), ldconfig(8)

COLOPHON
Cette page fait partie de la publication 3.40 du projet man-pages Linux. Une description du projet et des instructions pour signaler des anomalies peuvent être trouvées à l'adresse <URL:http://www.kernel.org/doc/man-pages/>.

TRADUCTION
Depuis 2010, cette traduction est maintenue à l'aide de l'outil po4a <URL:http://po4a.alioth.debian.org/> par l'équipe de traduction francophone au sein du projet perkamon <URL:http://perkamon.alioth.debian.org/>.

Christophe Blaess <URL:http://www.blaess.fr/christophe/> (2003-2008).

Veuillez signaler toute erreur de traduction en écrivant à <perkamon-fr@traduc.org>.

Vous pouvez toujours avoir accès à la version anglaise de ce document en utilisant la commande « LC_ALL=C man <section> <page_de_man> ».